using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace EmailAddressChooserTask
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Instanzieren des EmailAddressChooserTask
        private Microsoft.Phone.Tasks.EmailAddressChooserTask myEmailAddressChooserTask = new Microsoft.Phone.Tasks.EmailAddressChooserTask();

        // Hauptkonstruktor
        public MainPage()
        {
            InitializeComponent();

            // Hinzufuegen des Completed Ereignisses
            myEmailAddressChooserTask.Completed += new EventHandler<Microsoft.Phone.Tasks.EmailResult>(myEmailAddressChooserTask_Completed);
        }

        // Ereignismethode der Schaltfläche
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            // Aufrufen der eMail-Applikation von Windows Phone 7
            myEmailAddressChooserTask.Show();
        }

        // Ereignismethode des Completed Ereignisses
        void myEmailAddressChooserTask_Completed(object sender, Microsoft.Phone.Tasks.EmailResult e)
        {
            // Pruefen, ob Task korrekt beendet wurde
            if (e.TaskResult == TaskResult.OK)
            {
                // Nachrichtenfenster mit Ausgabe der selektierten Email-Adresse anzeigen
                MessageBox.Show("Sie haben folgende eMail-Adresse ausgewählt: " + e.Email);
            }
        }
    }
}